Windows Media Stream Editor

Using Microsoft® Windows Media® Stream Editor, you can split or combine streams in existing Windows Media files to create one or more audiences in new output files. An audience refers to the stream or set of streams in a file that represent the content that is played simultaneously. Typically, an audio stream and a video stream comprise an audience. The following are examples of tasks you can accomplish by using Windows Media Stream Editor:

  • Combine streams from multiple source files
  • Split streams in a file into separate files
  • Add language support to a file

Note image Note

  • It is not possible to use Windows Media Stream Editor with a file that has been protected with digital rights management (DRM).

Related topics

  • Combining streams into a file
  • Splitting streams into separate files
  • Adding language support to a file
  • How to
© 2002 Microsoft Corporation. All rights reserved.


Combining streams into a file

You can use Windows Media Stream Editor to create a file from different source files. For example, you can create a multiple bit rate (MBR) file from several single bit rate files, as shown in the following example.

Creating an MBR file

You can also mix streams from different source files. For example, you can create a file that uses the audio stream from one file and the video stream from another, as shown in the following illustration.

Replacing the audio stream

Requirements for combining streams

When you combine streams from different source files, keep the following in mind:

  • All streams of the same stream type must use the same codec. For example, if one audio stream uses the Windows Media Audio 9 codec, all of the other audio streams must use the Windows Media Audio 9 codec.
  • The encoding mode must be consistent for each stream type. Each stream type (for example, audio or video) must use the same encoding mode (one- or two-pass CBR, bit rate-based VBR, quality-based VBR, or peak bit rate-based VBR). However, it is possible to mix encoding modes for different stream types. For example, you can create an output file that has all audio streams that use one-pass CBR encoding, and all video streams that use peak bit rate-based VBR encoding.
  • Audiences must use the same language. For example, it is not possible to create an output file that contains one audience that uses English and a second audience that uses French.
  • Audiences must contain the same combination of stream types. For example, it is not possible to create an output file that has one audience with only an audio stream and a second audience with both an audio and a video stream.
  • MBR files should not contain streams encoded with a VBR encoding mode. If you are creating an MBR file, the source streams should use a CBR encoding mode (one- or two-pass) only, because CBR encoding is designed for use in a streaming scenario.

Related topics

  • Windows Media Stream Editor
  • How to


Splitting streams into separate files

You can use Windows Media Stream Editor to split streams in one file into multiple files. For example, if you have an MBR file that contains two audiences, you can create a file that contains only one of the audiences, as shown in the following illustration.

Splitting an MBR file

Related topics

  • Windows Media Stream Editor
  • How to


Adding language support to a file

You can use Windows Media Stream Editor to add audio streams that contain different languages into a file. Then, users can choose the language they want to listen to when playing the file. The following example illustrates how to set up two languages in one file.

Adding language support

When you add language support to a file, the following properties must be the same for the audio streams:

  • Bit rates
  • Codecs used
  • Encoding mode (for example, constant bit rate or variable bit rate)
  • Audio format (sampling rate and number of channels)

Note image Note

  • You can use Windows Media Encoder to encode Windows Media files in different languages. For more information about specifying a language, see Windows Media Encoder Help.

Related topics

  • Windows Media Stream Editor
  • How to


Using a configuration file

If you perform the same task repeatedly by using Windows Media Stream Editor, you can create a configuration file to simplify the task. The configuration file specifies the source and output audiences, and output file name. You can use the Save As command on the File menu to save a configuration file. To use the file, simply open it in Windows Media Stream Editor.

Related topics

  • Windows Media Stream Editor
  • To create a configuration file


How to...

This section contains procedures for using Windows Media Stream Editor:

  • To remove an entry from the output tree
  • To remove a file from the sources tree
  • To set up and create an output file
  • To create a configuration file


To remove an entry from the output tree

  1. In the output tree, click the audience or stream you want to remove.
  2. Press the DELETE key.

Related topics

  • How to


To remove a file from the sources tree

  1. In the source tree, click the file you want to remove.
  2. Press the DELETE key.

Related topics

  • How to


To set up and create an output file

  1. Click Add Source to display audiences in the source file. Repeat this step for each source file.
  2. In the sources tree, select the check boxes for the entries you want to include in the output file.
  3. When the output tree is set up as you want it, click Create File, and then enter a name for the output file.

    You can repeat steps 1 through 3 to set up as many output files as you want before processing the files.

    To review the setup of audiences in an output file, double-click the file. It appears in the output tree.

  4. Click Start.

    The audiences are split or combined into the output file.

Related topics

  • How to


To create a configuration file

  1. Set up and create an output file.
  2. On the File menu, click Save As, and then enter a name for the configuration file.

    To use the configuration file, simply open it in Windows Media Stream Editor.

Related topics

  • How to
  • To set up and create an output file


Accessibility for people with disabilities

Microsoft is committed to making its products and services easier for everyone to use. The following topics provide information about the features, products, and services that make Microsoft Windows Media Stream Editor more accessible for people with disabilities:

  • Accessibility features in Windows Media Stream Editor
  • Accessibility features in Windows Media Stream Editor Help
  • Accessible products and services from Microsoft

Note image Note

  • The information in this section applies only to users who license Microsoft products in the United States. If you obtained this product outside the United States, your package contains a subsidiary information card listing Microsoft support services telephone numbers and addresses. You can contact your subsidiary to find out whether the products and services described in this section are available in your area. Accessibility information is available in other select languages, including Japanese and French. For more information, see the see the Microsoft Web site.


Accessibility features in Windows Media Stream Editor

In addition to accessibility features and utilities in Windows, the following feature makes Windows Media Stream Editor more accessible for people with disabilities:

  • Using keyboard shortcuts

Related topics

  • Accessibility for people with disabilities


Using keyboard shortcuts

By using the following keyboard shortcuts in Windows Media Stream Editor, you can quickly accomplish many common tasks.

To do this… | Use this keyboard shortcut…
Display Help. | F1
Move forward through options. | TAB
Move backward through options. | SHIFT+TAB
Scroll up one item in a list. | UP ARROW
Scroll down one item in a list. | DOWN ARROW
Jump to the top of a list. | PAGE UP
Jump to the bottom of a list. | PAGE DOWN
Dismiss a dialog box (Cancel). | ESC
Carry out the command for the active option or button. | ENTER
Select or clear the selection of an item. | SPACEBAR
Display context menu. | Application Key
Switch to High Contrast mode. | LEFT ALT+LEFT SHIFT+PRINT SCREEN

Related topics

  • Accessibility for people with disabilities


Accessibility features in Windows Media Stream Editor Help

Windows Media Stream Editor Help includes features that make it accessible to a wider range of users, including those who have limited dexterity, low vision, or other disabilities.

In addition, Windows Media Stream Editor Help is available on the Web at the Microsoft Web site.

Related topics

  • Accessibility for people with disabilities


Keyboard shortcuts for using the Help window

By using the following keyboard shortcuts in Help, you can quickly accomplish many common tasks.

To do this… | Use this keyboard shortcut…
Display the Help window. | F1
Switch between the Help topic and the Contents, Search, and Index tabs. | F6
Select the next hidden text or hyperlink. | TAB
Select the previous hidden text or hyperlink. | SHIFT+TAB
Perform the action for the selected Show All, Hide All, hidden text, or hyperlink. | ENTER
Display the Options menu to access any Help toolbar command. | ALT+O
Hide or show the pane containing the Contents, Search, and Index tabs. | ALT+O, and then press T
Display the previously viewed topic | ALT+O, and then press B
Display the next topic in a previously displayed sequence of topics. | ALT+O, and then press F
Return to the specified home page. | ALT+O, and then press H
Stop the Help window from opening a Help topic (useful if you want to stop a Web page from downloading). | ALT+O, and then press S
Open the Internet Options dialog box for Microsoft Internet Explorer, where you can change accessibility settings. | ALT+O, and then press I
Refresh the topic (useful if you have linked to a Web page). | ALT+O, and then press R
Print all topics in a book or a selected topic only. | ALT+O, and then press P
Close the Help window. | ALT+F4

Related topics

  • Accessibility features in Windows Media Stream Editor Help


To change the appearance of a Help topic

  1. To customize the colors, font styles, and font sizes used in Help, open the Help window.
  2. Click Options, and then click Internet Options.
  3. On the General tab, click Accessibility. Select Ignore colors specified on Web pages, Ignore font styles specified on Web pages, and Ignore font sizes specified on Web pages. You also can choose to use the settings specified in your own style sheet.
  4. To change the colors used in Help, see To change the color of the background or text in Help. To change the font, see To change the font in Help.

Related topics

  • Accessibility features in Windows Media Stream Editor Help


To change the color of the background or text in Help

  1. Open the Help window.
  2. Click Options, and then click Internet Options.
  3. On the General tab, click Accessibility. Then select Ignore colors specified on Web pages. You also can choose to use the settings specified in your own style sheet.
  4. To customize the colors used in Help, on the General tab, click Colors. Clear the Use Windows Colors check box, and then select the font and background colors you want to use.

Note image Note

  • If you change the background color of the Help topics in the Help window, the change also affects the background color when you view a Web page in Microsoft Internet Explorer.

Related topics

  • Accessibility features in Windows Media Stream Editor Help


To change the font in Help

  1. Open the Help window.
  2. Click Options, and then click Internet Options.
  3. On the General tab, click Accessibility. To use the same settings as those used in your instance of Microsoft Internet Explorer, select Ignore font styles specified on Web pages and Ignore font sizes specified on Web pages. You also can choose to use the settings specified in your own style sheet.
  4. To customize the font style used in Help, on the General tab, click Fonts, and then click the font style you want.

Note image Note

  • If you change the font of the Help topics in the Help window, the change also affects the font when you view a Web page in Microsoft Internet Explorer.

Related topics

  • Accessibility features in Windows Media Stream Editor Help


Accessible products and services from Microsoft

The following topics provide information about the features, products, and services that make this Microsoft product more accessible for people with disabilities:

  • Accessibility in Microsoft Windows
  • Adjusting Microsoft products for people with accessibility needs
  • Free step-by-step tutorials
  • Microsoft documentation in alternative formats
  • Assistive technology for Windows
  • Customer service for people who are deaf or hard-of-hearing
  • Getting more accessibility information

The information in this section applies only to users who license Microsoft products in the United States. If you obtained this product outside the United States, your package contains a subsidiary information card listing Microsoft support services telephone numbers and addresses. You can contact your subsidiary to find out whether the type of products and services described in this section are available in your area. Accessibility is available in other select languages, including Japanese and French. For more information, see the Microsoft Web site.

Related topics

  • Accessibility for people with disabilities


Accessibility in Microsoft Windows

Many accessibility features have been built into Microsoft Windows, starting with the introduction of Windows 95. These features are useful for individuals who have difficulty typing or using a mouse, are blind or have low vision, or who are deaf or hard-of-hearing. The features can be installed during setup. For more information about the various accessibility features of Microsoft Products, such as Microsoft Windows XP Professional, Windows XP Home Edition, Windows Millennium Edition, Windows 2000, Windows 98, and Windows 95, see the Microsoft Web site.

Related topics

  • Accessible products and services from Microsoft


Adjusting Microsoft products for people with accessibility needs

Accessibility options and features are built into many Microsoft products, including the Windows operating system. Accessibility options and features are useful for individuals who have difficulty typing or using a mouse, are blind or have low vision, or who are deaf or hard-of-hearing.

Related topics

  • Accessible products and services from Microsoft


Free step-by-step tutorials

Microsoft offers a series of step-by-step tutorials to help you learn how to adjust the accessibility options and settings on your computer. The tutorials provide detailed procedures on how to adjust options, features, and settings to meet the needs of people with disabilities and accessibility needs. This information is presented in a side-by-side format so that you can see at a glance how to use the mouse, the keyboard, or a combination of both.

To find step-by-step tutorials for Microsoft products, see the Accessibility section of the Microsoft Web site.

Related topics

  • Accessible products and services from Microsoft


Microsoft documentation in alternative formats

In addition to the standard formats, documentation for many Microsoft products is available in other formats to make it more accessible. If you have difficulty reading or handling printed materials, you can obtain the documentation for many Microsoft products in other, more accessible formats. You can download many of these books from the Microsoft Web site.

Microsoft produces an index of accessible documentation on the Accessibility section of the Microsoft Web site.

In addition, you can obtain additional Microsoft publications from Recording for the Blind & Dyslexic, Inc. These documents are distributed to registered, eligible members of their distribution service on audiocassettes or on floppy disks. The collection contains more than 80,000 titles, including Microsoft product documentation and books from Microsoft Press. For information about eligibility and availability of Microsoft product documentation and books from Microsoft Press, contact:

Recording for the Blind & Dyslexic, Inc.
20 Roszel Road
Princeton, NJ 08540

Phone from within the United States: (800) 221-4792
Phone from outside the United States and Canada: (609) 452-0606
Fax: (609) 987-8116

Recording for the Blind & Dyslexic Web site

Web addresses can change, so you might be unable to connect to the Web site or sites mentioned here.

Related topics

  • 7Accessible products and services from Microsoft


Assistive technology for Windows

A wide variety of accessibility aids, or assistive technology products, are available to make computers easier to use for people with disabilities.

Microsoft provides a searchable catalog of accessibility aids that run on Microsoft Windows operating systems at the Accessibility section of the Microsoft Web site.

Among the different types of products available for the MS-DOS, Windows, and Windows NT operating systems are:

  • Programs that enlarge the information displayed or alter the color of information on the screen for people with visual impairments.
  • Programs that describe information on the screen in Braille or synthesized speech for people who are blind or have difficulty reading.
  • Hardware and software utilities that modify the behavior of the mouse and keyboard.
  • Programs that enable people to type by using a mouse or their voice.
  • Word or phrase prediction software that enable users to type more quickly and with fewer keystrokes.
  • Alternative input devices, such as single switch or puff-and-sip devices, for people who cannot use a mouse or a keyboard.

Upgrading

If you use assistive technology, before you upgrade either your software or hardware, be sure to contact your assistive technology vendor to check compatibility with products on your computer. Your assistive technology vendor can also help you learn how to adjust your settings to optimize compatibility with your version of Windows or other Microsoft products.


Customer service for people who are deaf or hard-of-hearing

If you are deaf or hard-of-hearing, complete access to Microsoft product and customer services is available through a text telephone (TTY/TDD) service.

Customer service

You can contact Microsoft Sales Information Center on a text telephone by dialing (800) 892-5234 between 6:30 AM and 5:30 PM Pacific time, Monday through Friday, excluding holidays.

Technical assistance

For technical assistance in the United States, you can contact Microsoft Product Support Services on a text telephone at (800) 892-5234 between 6:00 AM and 6:00 PM Pacific time, Monday through Friday, excluding holidays. In Canada, dial (905) 568-9641 between 8:00 AM and 8:00 PM Eastern time, Monday through Friday, excluding holidays. Microsoft support services are subject to the prices, terms, and conditions in place at the time the service is used.

Related topics

  • Accessible products and services from Microsoft


Getting more accessibility information

The Accessibility section of the Microsoft Web site provides information about accessible technology to help improve the lives of people with disabilities by making computers a positive force in employment, education, and recreation. The information on this site benefits people with disabilities and their friends and family members, people in outreach organizations, educators, and advocates.

A free monthly newsletter is offered through e-mail to help you keep up to date with accessibility topics about Microsoft products at the Accessibility section of the Microsoft Web site.

Related topics

  • Accessible products and services from Microsoft


Glossary

To find a term in the glossary, click the letter of the alphabet that is the first letter in the term you want to look up.

You can also read glossary terms within the text of Help by clicking the underlined glossary term links. After you click a glossary link, the glossary term and definition appear in a pop-up window. To close the window, click anywhere on the screen.

A | B | C | D | E | F | G | H | I | J | K | L | M
N | O | P | Q | R | S | T | U | V | W | X | Y | Z

P

.prx

The file name extension of a profile.

Back to Top

Symbols

.weu

The file name extension of a configuration file used by Windows Media Encoding Script.

.wma

The file name extension of an audio file in Windows Media Format. The audio content of the file is encoded with the Windows Media Audio codec.

.wme

The file name extension for a Windows Media Encoder session file.

.wmv

The file name extension of a video file in Windows Media Format.

Back to Top

A

announcement

A Windows Media metafile that gives a player the information needed to receive content. Announcement files contain Extensible Markup Language (XML) scripts.

aspect ratio

The ratio of the width of an image to its height.

Audio Video Interleaved (AVI)

A multimedia file format for storing sound and moving pictures in RIFF format.

AVI

See definition for: Audio Video Interleaved (AVI)

Back to Top

B

bandwidth

A network's capacity for transferring an amount of data in a given time.

bit rate

The number of bits transferred per second.

Back to Top

C

caption

Text that accompanies images or videos, either as a supplemental description or a transcript of spoken words.

CBR

See definition for: constant bit rate (CBR)

codec

An abbreviation for compressor/decompressor. Software or hardware used to compress and decompress digital media.

compression

A process for removing redundant data from a digital media file or stream to reduce its size or the bandwidth used.

configuration file

A text file used by Windows Media Encoding Script that specifies the content to be encoded and the command-line options to be invoked.

constant bit rate (CBR)

A characteristic of a data stream in which the bit rate remains nearly uniform for the duration of the stream.

See also: variable bit rate (VBR)

content

Audio, video, images, text, or any other information that is contained in a digital media file or stream.

Back to Top

D

deinterlace

To combine the interlaced fields in a video frame so that, during playback, the lines of the video frame are painted sequentially.

See also: interlace

delta frame

A video frame that contains only the changes from the previous frame. In contrast, a key frame contains all the data necessary to construct that frame.

dynamic range

The difference (in decibels) between the quietest and loudest sounds in a single piece of audio content.

Back to Top

E

encode

To convert audio and video content to a specified digital format.

Back to Top

F

frame rate

The number of video frames displayed per second. Higher frame rates generally produce smoother movement in the picture.

Back to Top

H

header

A part of the file structure that contains information required by an application to decompress and render the content. The header in a protected file also contains information required to get a license.

Back to Top

I

IEEE 1394

See definition for: Institute of Electrical and Electronics Engineers (IEEE) 1394

Institute of Electrical and Electronics Engineers (IEEE) 1394

A high-speed serial bus standard that provides enhanced computer connectivity for a wide range of devices, including consumer electronics audio/video (A/V) appliances, storage peripherals, other computers, and portable devices.

intelligent streaming

A type of streaming that detects network conditions and adjusts the properties of a video or audio stream to maximize quality.

interlace

To display a video frame in two fields. One field contains the even lines of the frame, the other field contains the odd lines. During playback, the lines in one field are displayed first, then the lines in the second field are displayed.

Internet Protocol version 6 (IPv6)

A revised version of the Internet Protocol (IP) designed to address growth on the Internet. Improvements include a 128 bit IP address size, expanded routing capabilities, and support for authentication and privacy.

inverse telecine

The process that removes the frames that were added when 24-fps film was converted to 30-fps video.

IPv6

See definition for: Internet Protocol version 6 (IPv6)

Back to Top

K

key frame

A video frame containing all the data needed to construct an image without reference to previous frames.

See also: delta frame

Back to Top

L

latency

The delay that occurs while data is processed or delivered.

letterbox

A video display format in which black bars appear above and below the video image while it is played. The letterbox format maintains the original aspect ratio of an image when it is displayed in a window with a different aspect ratio.

license

Data attached to protected content that describes how the content can be used.

loop

To repeat a stream continuously.

lossless compression

A process for compressing data in which information is arranged in a more concise form and restored to its original state upon decompression.

lossy compression

A process for compressing data in which information deemed unnecessary is removed and cannot be recovered upon decompression. Typically used with audio and visual data in which a slight degradation of quality is acceptable.

Back to Top

M

marker

A text string that is associated with a designated time in Windows Media-based content. Markers often denote convenient points to begin playback, such as the start of a new scene.

MBR

See definition for: multiple bit rate (MBR)

metadata

Data about data. Title, subject, author, and size are examples of a file's metadata.

multicast

A content delivery method in which a single stream is transmitted from a media server to multiple clients. The clients have no connection with the server. Instead, the server sends a single copy of the stream across the network to multicast-enabled routers, which replicate the data. Clients can then receive the stream by monitoring a specific multicast IP address and port.

multichannel audio

An audio reproduction system that processes several, typically more than two, channels of sound. For example, 5.1 multichannel audio refers to a surround sound system in which there are five primary channels and a subwoofer channel.

multiple bit rate (MBR)

A characteristic of a data stream in which the same content is encoded at several different bit rates in order to optimize content delivery.

Back to Top

N

National Television Standards Committee (NTSC)

The dominant television standard in the United States and Japan. NTSC delivers 30 interlaced frames per second at 525 lines of resolution.

NTSC

See definition for: National Television Standards Committee (NTSC)

Back to Top

O

one-pass encoding

An encoding method in which content is analyzed and compressed in the same pass through the encoder.

See also: two-pass encoding

PAL

See definition for: Phase Alternating Line (PAL)

PCM

See definition for: pulse code modulation (PCM)

Phase Alternating Line (PAL)

The dominant television standard in Europe and China. PAL delivers 25 interlaced frames per second at 625 lines of resolution.

pixel format

The size and arrangement of pixel color components. The format is specified by the total number of bits used per pixel and the number of bits used to store the red, green, blue, and alpha components of the color of the pixel.

postroll

To extend the amount of encoded video by a specified number of frames.

preroll

To capture or play a number of video frames or a portion of audio data before encoding or rendering begins, in order to allow the source device to stabilize. Also used as a noun to describe the portion of the data to be prerolled.

profile

A group of settings that match content type and bit rate with appropriate audio and video codecs.

Profile Editor

A tool provided with Windows Media Encoder that creates and edits the encoding profiles.

See also: profile

publishing point

An organized memory location that translates a client request for content into the physical path on the server hosting the content. A publishing point essentially acts as a redirector.

pull

To deliver data to a client only upon client request.

pulse code modulation (PCM)

A technique for digitizing audio into an uncompressed format by assigning a value to the amplitude of the signal at fixed intervals.

push

To deliver data to a client without a client request for the data.

Back to Top

R

RGB

A color model that describes color information in terms of the red (R), green (G), and blue (B) intensities that make up the color.

Back to Top

S

sampling

The process of measuring the amplitude of an analog signal at regular intervals for the purpose of converting the signal into a digital format.

sampling rate

The frequency of sampling. The higher the sampling rate (that is, the more samples taken per unit of time), the more closely the digitized result resembles the original.

script commands

Named data that is associated with a designated time in Windows Media-based content. The data can be used by players to perform a specific action such as displaying a Web page.

source

Audio and video content that can be captured and encoded from devices installed on your computer or from a file.

stream

Digital media that is in the process of being delivered in a continuous flow across a network.

stream format

Information about the properties of a stream, such as the codecs used, frame rate, and frame size. A player uses stream format information to decode a stream.

stream format file

A file used by a player to decode a multicast stream.

See also: stream format

Back to Top

T

telecine

The film-to-video conversion system that adds frames to video to compensate for the differences in frame rates between film and video.

time code

A digital signal applied to a stream. The signal assigns a number to every frame of video, representing hours, minutes, seconds, and frames.

two-pass encoding

An encoding method in which content is analyzed in one pass through the encoder, after which compression is applied in the second pass. See also one-pass encoding.

Back to Top

U

UDP

See definition for: User Datagram Protocol (UDP)

UNC

See definition for: Universal Naming Convention (UNC)

unicast

A method used by media servers for providing content to connected clients in which each client receives a discrete stream. No other client has access to that stream.

Universal Naming Convention (UNC)

The full name of a resource on a network. It conforms to the \\servername\sharename syntax, where servername is the name of the server and sharename is the name of the shared resource. UNC names of directories or files can also include the directory path under the share name, with the following syntax: \\servername\sharename\directory\filename.

User Datagram Protocol (UDP)

A connectionless transport protocol in the TCP/IP protocol stack that is used in cases where some packet loss is acceptable, for example, with digital media streams.

Back to Top

V

variable bit rate (VBR)

A characteristic of a data stream in which the bit rate fluctuates, depending upon the complexity of the data.

VBR

See definition for: variable bit rate (VBR)

Back to Top

W

Windows Media Audio codec

A codec used to compress and decompress audio streams.

Windows Media file

A file containing audio, video, or script data that is stored in Windows Media Format. Depending on their content and purpose, Windows Media files use a variety of file name extensions, such as: .wma, .wme, .wms, .wmv, .wmx, .wmz, or .wvx.

Windows Media Format

The format used by Microsoft Windows Media Technologies (or a third-party product that incorporates a licensed Windows Media technology) to author, store, edit, distribute, stream, or play timeline-based content.

Windows Media metafile

In Windows Media Technologies, a file that provides information about Windows Media files and their presentation. File name extensions for Windows Media metafiles include .asx, .wax, .wvx, .wmx, and .nsc.

Windows Media Screen codec

A codec used to compress and decompress sequences of screen images.

Windows Media Video codec

A codec used to compress and decompress video streams.

Back to Top

Y

YUV

A color model that describes color information in terms of its brightness (luminance, or Y), and color (chrominance, or U and V).

Back to Top


Legal Notice

Information in this document, including URL and other Internet Web site references, is subject to change without notice. Unless otherwise noted, the example companies, organizations, products, domain names, e-mail addresses, logos, people, places and events depicted herein are fictitious, and no association with any real company, organization, product, domain name, e-mail address, logo, person, places or events is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2002 Microsoft Corporation. All rights reserved.

Microsoft, MS-DOS, Windows, Windows Media, Windows NT, ActiveSync, ActiveX, Direct3D, DirectDraw, DirectInput, DirectMusic, DirectPlay, DirectShow, DirectSound, DirectX, FrontPage, JScript, Microsoft Press, MSN, NetShow, Outlook, PowerPoint, Visual Basic, Visual C++, Visual InterDev, Visual J++, Visual Studio, WebTV, Win32, and Win32s are either registered trademarks or trademarks of Microsoft Corporation in the U.S.A. and/or other countries.

The names of actual companies and products mentioned herein may be the trademarks of their respective owners.